package com.example.bdlive_flutter_viewer.vo;

import java.util.HashMap;
import java.util.Map;

public class FlutterError {
    private int errorCode;
    private String errorMsg;

    public FlutterError(int errorCode, String errorMsg) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

    public Map<String, Object> generateFlutterMap() {
        Map<String, Object> map = new HashMap<>();
        map.put("errorCode", errorCode);
        map.put("errorMsg", errorMsg);
        return map;
    }
}
