part of '../api/bdlive_viewer_view_api.dart';

class _BdliveViewerViewState extends State<BdliveViewerView> {

  @override
  Widget build(BuildContext context) {
    return createPage();
  }

  Widget createPage() {
    if (defaultTargetPlatform == TargetPlatform.android) {
      return AndroidView(
        viewType: VIEW_TYPE_ID,
        creationParamsCodec: const StandardMessageCodec(),
        creationParams: {'managerId': widget.player.managerId},
        onPlatformViewCreated: (int viewId) {
          if (widget.onPlatformViewCreated != null) {
            widget.onPlatformViewCreated!();
          }
        },
      );
    } else {
      return UiKitView(
        viewType: VIEW_TYPE_ID,
        creationParamsCodec: const StandardMessageCodec(),
        creationParams: {'managerId': widget.player.managerId},
        onPlatformViewCreated: (int viewId) {
          if (widget.onPlatformViewCreated != null) {
            widget.onPlatformViewCreated!();
          }
        },
      );
    }
  }
}
