import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import '../src/bdlive_viewer_const.dart';
import 'bdlive_viewer_player_api.dart';
part '../src/bdlive_viewer_view_impl.dart';


typedef OnPlatformViewCreated = void Function();

class BdliveViewerView extends StatefulWidget {

  final BdliveViewerPlayer player;

  final OnPlatformViewCreated? onPlatformViewCreated;

  const BdliveViewerView({super.key, required this.player, this.onPlatformViewCreated});

  @override
  State<BdliveViewerView> createState() => _BdliveViewerViewState();
}
